# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%add_optflags -fcommon

Name:           raceintospace
Version:        1.1
Release:        alt1_8
Summary:        A turn based space race strategy game
Group:          Games/Strategy
License:        GPLv2+
Url:            https://www.raceintospace.org/
Source0:        https://download.sourceforge.net/raceintospace/%{name}-%{version}.tar.gz

# Does not manage to allocate memory on 64bit:
# https://sourceforge.net/p/raceintospace/discussion/438959/thread/543f0184/
ExclusiveArch:  %ix86
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(ogg)
BuildRequires:  pkgconfig(vorbis)
BuildRequires:  pkgconfig(theora)
Source44: import.info

%description
Race Into Space is the free software version of the Liftoff! board game
by Fritz Bronner, originally developed by Strategic Visions and published
by Interplay in 1993 and 1994 as Buzz Aldrin's Race Into Space.

%prep
%setup -q

sed -i '/Version/d' debian/%{name}.desktop

%build
%configure --datadir=%{_gamesdatadir}
%make_build

%install
%makeinstall bindir=%{buildroot}%{_gamesbindir} \
             datadir=%{buildroot}%{_gamesdatadir}

mv %{buildroot}%{_gamesdatadir}/doc %{buildroot}%{_docdir}

install -D -m644 debian/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 os_linux/%{name}.xpm %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

%files
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_docdir}/%{name}/README
%{_mandir}/man6/%{name}.6*


%changelog
* Fri Feb 10 2023 Igor Vlasenko <viy@altlinux.org> 1.1-alt1_8
- update by mgaimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 1.1-alt1_7
- update by mgaimport

* Tue Jun 07 2016 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_6
- converted for ALT Linux by srpmconvert tools

